@echo off
%windir%\system32\reg.exe query "HKU\S-1-5-19" >nul 2>&1 || (
echo /!\ Run as administrator /!\
echo.
echo Press any key to continue ...
pause >nul
exit
)
pushd %~dp0\Drivers
pnputil /a TBT\BUS\TbtHostController.inf /i
pnputil /a TBT\EXT\TbtHostControllerExtension.inf /i
pnputil /a TBT\SWC\TOAST\TbtHostControllerToastComponent.inf /i
pnputil /a TBT\SWC\HSA\TbtHostControllerHsaComponent.inf /i
pnputil /a TBT\NDIS\TbtP2pNdisDrv.inf /i
pnputil /a UCM\CYP\CyUcmClient.inf /i
pnputil /a UCM\ITE\ITEUcmCxClient.inf /i
pnputil /a UCM\TPS\TPS659xx.inf /i
shutdown /r /t 5